> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organization config

> Updates the organization configuration settings. Creates a new config if one doesn't exist. Only updates fields that are provided in the request body.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml put /v0/org-config
openapi: 3.1.1
info:
  title: Avido API
  description: >-
    Avido's API for LLM usage events, tool calls, trace management, webhook
    validation, and more. See each endpoint's request/response schema for
    details.
  version: 0.1.0
  contact:
    name: Avido Support
    email: support@avidoai.com
    url: https://avidoai.com/support
servers:
  - url: https://api.avidoai.com
    description: Production API
security:
  - ApiKey: []
    ApplicationId: []
paths:
  /v0/org-config:
    put:
      tags:
        - Organization Config
      summary: Update organization config
      description: >-
        Updates the organization configuration settings. Creates a new config if
        one doesn't exist. Only updates fields that are provided in the request
        body.
      operationId: updateOrgConfig
      requestBody:
        description: Org config data to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgConfigRequest'
            examples:
              disableWebhooks:
                summary: Disable webhooks (kill switch)
                value:
                  disableWebhooks: true
              enableWebhooks:
                summary: Enable webhooks
                value:
                  disableWebhooks: false
              updateProvider:
                summary: Change inference provider
                value:
                  inferenceProvider: OPENAI
              updateBoth:
                summary: Update multiple settings
                value:
                  inferenceProvider: AZURE
                  disableWebhooks: true
              setWebhookRpm:
                summary: Set webhook rate limit
                value:
                  webhookRpm: 60
      responses:
        '200':
          description: Successfully updated org config
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgConfigResponse'
              examples:
                success:
                  summary: Updated config
                  value:
                    data:
                      inferenceProvider: AZURE
                      disableWebhooks: true
                      webhookRpm: null
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdateOrgConfigRequest:
      type: object
      properties:
        inferenceProvider:
          $ref: '#/components/schemas/InferenceProvider'
          example: AZURE
        disableWebhooks:
          type: boolean
          description: >-
            When true, prevents simulate-task from sending webhooks (kill
            switch)
          example: false
        webhookRpm:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
              maximum: 10000
            - type: 'null'
          description: >-
            Maximum webhook requests per minute for this organization (max
            10,000). Null uses the default global rate.
          example: 30
      title: UpdateOrgConfigRequest
      description: Request body for updating org config
    OrgConfigResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/OrgConfigOutput'
      required:
        - data
      additionalProperties: false
      title: OrgConfigResponse
      description: >-
        Successful response containing org config data (defaults provided if not
        configured)
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message explaining the error.
          example: Resource not found
      required:
        - message
      additionalProperties: false
      title: ErrorResponse
      description: Standard error format for failed API operations.
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message indicating what went wrong.
          example: Invalid request data
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
              path:
                type: array
                items:
                  type: string
            required:
              - code
              - message
              - path
            additionalProperties: false
          description: Array of detailed validation error objects.
          example:
            - code: invalid_string
              message: Invalid UUID
              path:
                - id
      required:
        - message
        - issues
      additionalProperties: false
      title: ValidationErrorResponse
      description: Details about validation errors in incoming requests.
    InferenceProvider:
      type: string
      enum:
        - OPENAI
        - AZURE
      title: InferenceProvider
      description: The inference provider for LLM operations
    OrgConfigOutput:
      type: object
      properties:
        inferenceProvider:
          $ref: '#/components/schemas/InferenceProvider'
          example: AZURE
        disableWebhooks:
          type: boolean
          description: >-
            When true, prevents simulate-task from sending webhooks (kill
            switch)
          example: false
        webhookRpm:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
              maximum: 10000
            - type: 'null'
          description: >-
            Maximum webhook requests per minute for this organization (max
            10,000). Null uses the default global rate.
          example: 30
      required:
        - inferenceProvider
        - disableWebhooks
        - webhookRpm
      additionalProperties: false
      title: OrgConfig
      description: Organization-level configuration settings
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Your unique Avido API key
    ApplicationId:
      type: apiKey
      in: header
      name: x-application-id
      description: Your unique Avido Application ID

````